# Method Parser.XML.Tree.AbstractNode()->add_child_before()

Method add_child_before

  ``AbstractNode` add_child_before(`AbstractNode` `c`, `AbstractNode` `old`)`

Description

  Adds the node `c` to the list of children of this node. The node is added before the node `old`, which is assumed to be an existing child of this node. The node is added last if `old` is zero.

Returns

  The current node.